Get a pool on a network.
curl --request GET \
--url https://api.dexpaprika.com/networks/{network}/pools/{pool_address}import requests
url = "https://api.dexpaprika.com/networks/{network}/pools/{pool_address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dexpaprika.com/networks/{network}/pools/{pool_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8sLbNZoA1cfnvMJLPfp98ZLAnFSYCFApfJKMbiXNLwxj",
"chain": "solana",
"factory_id": "CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK",
"dex_id": "raydium_clmm",
"dex_name": "Raydium CLMM",
"created_at_block_number": 232424998,
"fee": 0,
"created_at": "2023-11-26T20:25:08.000Z",
"tokens": [
{
"id": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "SOL",
"chain": "solana",
"decimals": 9,
"added_at": "2024-10-04T08:30:05.000Z",
"fdv": 94441873213
},
{
"id": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"name": "USD Coin",
"symbol": "USDC",
"chain": "solana",
"decimals": 6,
"added_at": "2024-10-04T08:30:05.000Z",
"fdv": 7700000000
}
],
"last_price": 233.8201620378884,
"last_price_usd": 234.1327298484414,
"price_time": "2025-01-27T16:12:16.000Z",
"24h": {
"last_price_usd_change": -7.991645970375927,
"volume_usd": 808169281.4395584,
"sell_usd": 404084640.7197792,
"buy_usd": 404084640.7197792,
"sells": 130647,
"buys": 138125,
"txns": 268772
},
"6h": {
"last_price_usd_change": 3.678167601422392,
"volume_usd": 239714337.5522164,
"sell_usd": 119857168.7761082,
"buy_usd": 119857168.7761082,
"sells": 37349,
"buys": 37942,
"txns": 75291
},
"1h": {
"last_price_usd_change": 0.21468385213358251,
"volume_usd": 38581519.09849599,
"sell_usd": 19290759.549247995,
"buy_usd": 19290759.549247995,
"sells": 5855,
"buys": 6280,
"txns": 12135
},
"30m": {
"last_price_usd_change": -0.6596647484596703,
"volume_usd": 17156573.023071297,
"sell_usd": 8578286.511535648,
"buy_usd": 8578286.511535648,
"sells": 2573,
"buys": 2989,
"txns": 5562
},
"15m": {
"last_price_usd_change": 0.10278852417240747,
"volume_usd": 8712008.133446362,
"sell_usd": 4356004.066723181,
"buy_usd": 4356004.066723181,
"sells": 1231,
"buys": 1464,
"txns": 2695
},
"5m": {
"last_price_usd_change": 0.01045314121300838,
"volume_usd": 3102185.350890263,
"sell_usd": 1551092.6754451315,
"buy_usd": 1551092.6754451315,
"sells": 479,
"buys": 474,
"txns": 953
}
}Pools
Get a pool on a network.
Retrieve detailed information about a specific on-chain pool, including token pairs, current price data, and volume metrics.
GET
/
networks
/
{network}
/
pools
/
{pool_address}
Get a pool on a network.
Path Parameters
Unique pool address or identifier. Such as 0xc7bbec68d12a0d1830360f8ec58fa599ba1b0e9b for WETH / USDT on ethereum.
Query Parameters
Whether to invert the main price ratio in pool calculations.
Response
successful operation
The base token ID for the price.
The quote token ID for the price.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I